<template>
    <div class="dialog-table-container">
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="calc(100% - 36px)"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column type="index" label="序号" width="100">
            </el-table-column>
            <el-table-column prop="unitName" label="区县" width="180">
            </el-table-column>
            <el-table-column prop="anum" label="A">
                <template slot="header">
                    <span :class="`level levelA`">A</span>
                </template>
            </el-table-column>
            <el-table-column prop="bnum" label="B">
                <template slot="header">
                    <span :class="`level levelB`">B</span>
                </template>
            </el-table-column>
            <el-table-column prop="cnum" label="C">
                <template slot="header">
                    <span :class="`level levelC`">C</span>
                </template>
            </el-table-column>
            <el-table-column prop="dnum" label="D">
                <template slot="header">
                    <span :class="`level levelD`">D</span>
                </template>
            </el-table-column>
            <!-- <el-table-column prop="enum" label="E">
                <template slot="header">
                    <span :class="`level levelE`">E</span>
                </template>
            </el-table-column> -->
            <el-table-column
                prop="synScore"
                :label="quarter === 3 ?  '得分（满分21分）' : '得分（满分12分）'"
                width="200"
            ></el-table-column>
            <el-table-column
                prop="synSn"
                label="排名"
                width="120"
            ></el-table-column>
            <el-table-column
                prop="synGrade"
                label="总档位"
                width="120"
            ></el-table-column>
            <!-- <el-table-column prop="citySnTrend" label="变化">
                    <template v-slot="{row}">
                        <span
                            :class="{
                                'column-item-rotate':
                                    row.citySnTrend < 0 ? true : false,
                            }"
                        >
                            <i
                                v-if="row.citySnTrend > 1"
                                :class="`cqlt-icon cqlt-icon-arrow column-trend-icon-1`"
                            ></i>
                            <i
                                v-if="row.citySnTrend < 0"
                                :class="`cqlt-icon cqlt-icon-arrow column-trend-icon-2`"
                            ></i>
                            <span v-if="row.citySnTrend === 0">-</span>
                        </span>
                    </template>
                </el-table-column> -->
        </el-table>
        <div class="tips">注：数据列表中的数字为该区县各挡位的指标个数。</div>
    </div>
</template>

  <script>
import apiList from '@/api/bigScreen/districView.js'
export default {
    props: {
        options: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            quarter: ''
        }
    },
    mounted() {
        this.getIndex()
        this.$bus.$on('changeDate', () => {
            this.getIndex()
        })
    },
    methods: {
        getIndex() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            this.quarter = searchDate.quarter
            let data = this.qs.stringify({
                year: searchDate.year,
                quarter: searchDate.quarter,
            })
            apiList.getIndex(data, (res) => {
                if (res && res.value) {
                    this.tableData = res.value
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.tips{
    margin-top: 10px;
    font-size: 18px;
}
.column-item-rotate{
    display: inline-block;
    transform: rotateX(180deg);
}
.cqlt-icon-arrow{
    font-size: 18px;
}
.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1px 0 12px;
}
.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1px 0 12px;
}
.level{
    display: inline-block;
    width: 30PX;
    line-height: 20PX;
    height: 20PX;
    border-radius: 10PX;
    padding: 0;
    text-align: center;
    color: #fff;
    font-weight: bold;
    position: relative;
    z-index: 10;
    font-size: 14PX;
}
.levelA {
    background-color: #20A367;
}
.levelB {
    background-color: #3877B2;
}
.levelC {
    background-color: #E3C428;
}
.levelD {
    background-color: #E49317;
}
.levelE {
    background-color: #B04332;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
